Open BankingB2B SuiteERP Integration
GuidesAPI ReferenceChangelog
Menu

Categories

Open BankingB2B SuiteERP Integration

  • Getting started

    • Introduction
    • Become a User
    • Quick Lookup
  • Authentication

    • Generate Signature
  • ERP API Services

    • Configure API Account
    • Create Group & Company
    • Supplier Services
    • Account Services
    • Balance Enquiry
    • Statements
    • IBAN Validation
    • POS Transactions

SADAD Bill/MOI Enquiry

Retrieve bill details for the SADAD bill and MOIs

SingleView ERP Integration API's Payment service allows you to retrieve SADAD Bill & MOI amounts through the svSadadEnqService.

Important Information
  • Request parameters may change depending on the SADAD bill/MOI.
  • A visa renewal type service mentioned here is for reference purpose.

Fetch SADAD bill/MOI enquiry

Endpoint details

Endpoint URL

Method

Authentication requirements

/v1/api/erp/svSadadEnqService

POST

  1. clientid
  2. clientsecret
  3. signature

Sample Request

A request in the following format should be posted to the above mentioned Endpoint with valid authentication details:

SADAD Enquiry Request
curl --location --request POST 'https://servicesuat.onesingleview.com/v1/api/erp/svSadadEnqService' \
--header 'clientid: Enter_Client_ID' \
--header 'clientsecret: Enter_Client_Secret' \
--header 'signature: Enter_Signature' \
--header 'Content-Type: application/json' \
--header 'logsource: Web' \
--data '{
"svSadadEnqServiceRQ": {
  "groupCode": "1000",
  "company": [
    {
      "companyCode": "1101",
      "userName": "Abdul1234",
      "enquiry": [
        {
          "type": "bill",
          "acERPcode": "1110",
          "subscriberNumber": "7525306001",
          "billCode": "010"
        },
        {
          "type": "moi",
          "acERPcode": "1333",
          "subscriberNumber": "7525306001",
          "billCode": "010",
          "TransactionType": "",
          "ID": "",
          "Duration": "",
          "SponsorID": "",
          "JobCategory": "",
          "NoOfDependent": "",
          "EventActualDate": "",
          "CitizenId": "",
          "LicenseType": "",
          "PassportType": "",
          "VehicleSequence": "",
          "NewOwnerId": "",
          "VehicleCustomCardNumber": "",
          "RegistrationType": "",
          "BodyType": "",
          "VisaCount": "",
          "VisaType": "",
          "VisaNumber": "",
          "IssuanceReason": "",
          "CardVersionNumber": "",
          "VerdictNumber": "",
          "ViolationID": ""
        }
      ]
    }
  ]
}
}'

Request details:

JSON Tag

Description

Data type

clientid
Mandatory

Unique client identification details
Length of input:
Min 3 Characters
Max 20 Characters

String

clientsecret
Mandatory

Unique client secret code
Length of input:
Min 3 Characters
Max 20 Characters

String

signature
Mandatory

64-Bit string obtained by processing client signature key through Base-64 and SHA-256

String

svSadadEnqServiceRQ
Mandatory

Tag carrying information on request to create SADAD enquiry request

Object

company
Mandatory

Tag carrying information on company for creation of payment

Object/Array

companyCode
Mandatory

Unique identification code of the company
Length of input:
Min 3 Characters
Max 20 Characters

String

userName
Mandatory

SingleView account's Username
Length of input:
Min 3 Characters
Max 20 Characters

String

enquiry
Mandatory

Tag carrying the information on SADAD enquiry request

Object/Array

type
Mandatory

Type of record for SADAD enquiry to be among bill or moi

String

acERPcode
Mandatory

Unique ERP code assigned to the bank account
Length of input:
Min 9 characters

Alphanumeric

subscriberNumber
Mandatory

Unique subscriber number for the requested SADAD Bill/MOI
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

billCode
Mandatory

Unique bill identification code of the requested SADAD Bill/MOI
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

TransactionType
Conditional for MOI

Unique identification code for transaction type for SADAD MOI.

Numerical

ID
Conditional

Unique identification details of the owner for the requested SADAD MOI
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

Duration
Conditional

Duration of the identification mentioned

Numerical

SponsorID
Conditional

Unique identification details of the sponsor
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

JobCategory
Conditional

Job category of the applicant or SADAD MOI applicant

Numerical

NoOfDependent
Conditional

Number of dependents related to the SADAD MOI applicant

Numerical

EventActualDate
Conditional

Date representing the event occurred on

String

CitizenId
Conditional

Unique citizen identification details of the SADAD MOI applicant

Numerical

LicenseType
Conditional

Type of license held by the SADAD MOI applicant

Numerical

PassportType
Conditional

Type of passport held by the SADAD MOI applicant

Numerical

VehicleSequence
Conditional

Sequence number of the vehicle held by the SADAD MOI applicant

Numerical

NewOwnerId
Conditional

New owner identification details

Numerical

VehicleCustomCardNumber
Conditional

Identification number of vehicle custom card

Numerical

RegistrationType
Conditional

Type of registration of the vehicle held by the SADAD MOI applicant

String

BodyType
Conditional

Body type of the vehicle held by the SADAD MOI applicant

Numerical

VisaCount
Conditional

Count of visa's of the SADAD MOI applicant

Numerical

VisaType
Conditional

Type of visa held by the SADAD MOI applicant
Length of input:
Min 3 Characters
Max 20 Characters

String

VisaNumber
Conditional

Visa identification number held by the SADAD MOI applicant
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

IssuanceReason
Conditional

Reason of vehicle issuance
Length of input:
Min 3 Characters
Max 35 Characters

String

CardVersionNumber
Conditional

Unique version number of the card
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

VerdictNumber
Conditional

Unique verdict identification number
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

ViolationID
Conditional

Unique violation identification details
Length of input:
Min 3 Characters
Max 20 Characters

Numerical

Sample response

Upon processing of the request and finding of valid authentication details, you'll get the following success response:

SADAD Enquiry Response
{
  "svSadadEnqServiceRS": {
    "company": [
      {
        "companyCode": "1101",
        "userName": "Abdul1234",
        "enquiryRes": [
          {
            "type": "bill",
            "acERPcode": "1110",
            "subscriberNumber": "7525306001",
            "billCode": "010",
            "dueDate": "20200709",
            "enqSuccess": "OK",
            "AmountDue": 1372,
            "serviceType": "GOVT",
            "amount": 1372
          },
          {
            "type": "moi",
            "acERPcode": "1333",
            "subscriberNumber": "7525306001",
            "billCode": "010",
            "AmountDue": 200,
            "FeeDetails": "",
            "FeeReferenceId": "",
            "SadadReferenceId": "",
            "GroupPayId": ""
          }
        ]
      }
    ]
  }
}

Response description:

JSON Tag

Description

Data type

svSadadEnqServiceRS

Tag representing the response for SADAD enquiry services

Object

company

Tag carrying information on companies included in the response

Object

companyCode

Unique company identification code

String

userName

SingleView account's username

String

enquiryRes

Array of SADAD bill/MOI records included in the request

Array

type

Type of SADAD enquiry record among bill or moi

String

acERPcode

Unique ERP code assigned to the bank account

Alphanumeric

subscriberNumber

Unique subscriber identification number of the bill/MOI

Numerical

billCode

Unique bill code of the SADAD bill/MOI

Numerical

for type=bill

dueDate - Due date of the SADAD bill

Date

 

enqSuccess - Status about the processing of the enquiry request

Numerical

 

AmountDue - Amount due for the SADAD bill

Numerical

 

serviceType - Type of service obtained from

String

 

amount - Total amount of the service

Numerical

for type=moi

AmountDue - Total amount due for the MOI service

Numerical

 

FeeDetails - Fee details on the MOI service

String

 

FeeReferenceId - Unique reference identification details for the MOI service fees

Alphanumeric

 

SadadReferenceId - Unique SADAD MOI reference identification number

Alphanumeric

 

GroupPayId - Unique group payment identification details

Numerical

Updated June 15, 2026

PreviousSADAD (Bills & MOI)NextSADAD Payment
Was this helpful?